<?php
if(!$_SESSION['admin_id']){
	pe_goto("index.php");
}
$menumark = 'rssuser_list';
switch ($act) {
	//#####################@ 会员删除sql @#####################//
	case 'delsql':
		if ($db->pe_delete('rssuser', array('rssuser_id'=>is_array($_p_rssuser_id) ? $_p_rssuser_id : $_g_id))) {
			pe_success('用户删除成功!');
		}
		else {
			pe_error('用户删除失败...');
		}
	break;
	//#####################@ 会员列表 @#####################//
	default:
		$cache_package = cache::get('package');
		$_g_name && $sqlwhere .= " and `rssuser_name` like '%{$_g_name}%'";
		$_g_emailget && $sqlwhere .= " and `rssuser_emailget` = '{$_g_emailget}'";
		$_g_atime1 && $sqlwhere .= " and `rssuser_atime` >= '".strtotime($_g_atime1)."'";
		$_g_atime2 && $sqlwhere .= " and `rssuser_atime` < '".strtotime($_g_atime2)."'+ 86400";
		$sqlwhere .= " order by `rssuser_id` desc";
		$info_list = $db->pe_selectall('rssuser', $sqlwhere, '*', array(($_g_pagenum ? $_g_pagenum : 20), $_g_page));

		$seo = pe_seo('订阅用户', '', '', 'admin');
		include(pe_tpl('rssuser_list.html'));
	break;
}
pe_result();
?>